APM agent for apache-activemq-5.15.11

book

Article ID: 193939

calendar_today

Updated On:

Products

CA Application Performance Management Agent (APM / Wily / Introscope) CA Application Performance Management (APM / Wily / Introscope) INTROSCOPE DX Application Performance Management

Issue/Introduction

We have upgraded Apache Active MQ from apache-activemq-5.15.0 to apache-activemq-5.15.11 (uses Java 9) and the current APM agent does not work or capture the metrics.  We have the Enterprise Manager running on version 10.7 and active MQ agent running on 10.5.  Please let us know the latest version of APM agent for Active MQ 5.15.11.


Environment

Release : 10.7.0

Component : APM Agents

Resolution

We do not have any supported agent or extension for monitoring Apache Active MQ. 

As for Java 9, APM 10.7 agents are not supported with Java 9.  Only SaaS Agents support JDK 9.

There is a way to do it, though not supported.  But some have been able to monitor ActiveMQ.  

https://community.broadcom.com/communities/community-home/digestviewer/viewthread?MID=822370